Subject: Re: [bug#54796] [PATCH v3 01/22] import: Add hex.pm importer.

From: Hartmut Goebel <[email-masked]>
Date: Sun, 10 Apr 2022 13:22:01 +0200

Am 09.04.22 um 13:59 schrieb Maxime Devos:
> WOuld 'alist->package' be useful here?

Thanks for pointing me to that. Unfortunately, since records are used 
here (not alists) and since „alist->package“ expects the licenses to be 
an alist, too, the code using „alist->package“ would be quite ugly.

Your tip brought me to „package->code“. Sadly I dif not get this to 
work: I failed converting

          ,@(maybe-inputs (dependencies->package-names dependencies) 'inputs)

into the unquoted form.

-- 
Regards
Hartmut Goebel

| Hartmut Goebel          [email-masked]                |
|www.crazy-compilers.com  | compilers which you thought are impossible |